<template>
    <div class="league-tabs">
        <div class="topline flex aic">
            <div class="name flex aic">
                <span
                    :class="[`icon`]"
                    :style="{
                        'backgroundImage': leagueImage
                    }"
                ></span>
                <span class="text">{{ name }}</span>
            </div>
            <div class="country">
                <span :class="['icon', 'flag-icon',`flag-icon-${flag.toLowerCase()}`]"></span>
                <span class="text">{{ country }}</span>
            </div>
        </div>
        <div class="tabs">
            <router-link
                :to="tab.disabled ? '#' : `/football/league/${$route.params.leagueId}/${tab.id}`"
                v-for="tab in tabs"
                :key="tab.id"
                @click="checkDisabled()"
                :class="[
                    'item',
                    {
                        'active': selectedTab == tab.id,
                        'disabled': tab.disabled
                    }
                ]"
            >
                {{ tab.name }}
            </router-link>
        </div>

<!--        <div v-if="allowSorting" class="sorting flex aic">-->
<!--            <div class="name flex aic">Sort Results</div>-->
<!--            <label class="sorting-label">-->
<!--                <select class="sorting-select">-->
<!--                    <option selected>Oldest First - Newest Last</option>-->
<!--                    <option>Newest First - Oldest Last</option>-->
<!--                    <option>Sorting Option 3</option>-->
<!--                    <option>Sorting Option 4</option>-->
<!--                </select>-->
<!--            </label>-->
<!--        </div>-->
    </div>
</template>

<script>
export default {
    name: 'LeagueTabs',
    props: {
        allowSorting: Boolean,
        tabs: {
            required: true,
            type: Array
        },
        name: {
            required: true,
            type: String
        },
        icon: {
            required: true,
            type: String
        },
        country: {
            required: true,
            type: String
        },
        flag: {
            required: true,
            type: String
        },
        selectedTab: {
            type: String,
            default: 'next'
        },
        image: {
            type: [String, Boolean],
            default: false
        }
    },
    methods: {
        checkDisabled(e) {
            e.preventDefault()
            return false;
        }
    },
    computed: {
        leagueImage() {
            return this.image ? `url('${window.location.origin}/storage/${this.image}')` : `url('${window.location.origin}/img/league_placeholder.svg')`
        }
    }
}
</script>
